| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Image
Image.Image

# Method Image.Image()->setpixel()

Method setpixel

  `object setpixel(int x, int y)`
  `object setpixel(int x, int y, Image.Color c)`
  `object setpixel(int x, int y, int r, int g, int b)`
  `object setpixel(int x, int y, int r, int g, int b, int alpha)`

Description

  original | ->setpixel (10,10, 255,0,0)

Parameter `x`
Parameter `y`

  position of the pixel

Parameter `r`
Parameter `g`
Parameter `b`

  color

Parameter `alpha`

  alpha value

Returns

  the object called